import { Factory, ServiceId } from './types';
/**
 * useService let you get instance of a registred service
 * @param {string} id - the id of the service you want to get
 * @param {Object} options - to configure the behavior you want
 * @param {boolean} options.subscribe - set to false to not be notified of updates
 */
export declare function useService<T>(id: ServiceId, options?: {
    subscribe: boolean;
}): T;
/**
 * registerService let you register a function and map it to an id.
 * @param {string|function} idOrFn - the id of the service you want to get or the function constructor identifed
 * @param {function} value - the function constructor of the service
 */
export declare function registerService(idOrFn: ServiceId | Factory, value?: Factory): void;
/**
 * low level use of service (in case you are not in a component)
 * @param {string} id - the id of the service you want
 */
export declare function getService(id: ServiceId): any;
